読者です 読者をやめる 読者になる 読者になる

rake db:migrate実行時にcannot load such file -- openssl となるエラーの解決

Ruby Rails

Ubuntu 12.04 LTSにRuby 1.9.3をソースからインストールしました。Railsもインストールしてrake db:migrateコマンドを実行したところ、以下のようなエラーが発生しました。

$ rake db:migrate
rake aborted!
cannot load such file -- openssl

Tasks: TOP => db:migrate => environment
(See full trace by running task with --trace)

以下のパッケージをインストールします。

$ sudo apt-get install libssl-dev

Rubyコンパイルしなおします。

$ ./configure
$ make
$ sudo make install

これでrake db:migrateが実行できるようになりました。